<?php

namespace App\ModelFilters;

use App\Models\Enums\ObjectApprovalStatus;
use Carbon\Carbon;
use EloquentFilter\ModelFilter;
use Illuminate\Support\Facades\Auth;

class ApprovalFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];


    public function type($type): ModelFilter
    {
        return $this->where('object_type',$type);
    }
}
